<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Pet page</title>
    <div th:replace="fragments/head :: bootstrap"></div>
</head>
<body>
<div th:replace="fragments/navigation :: navbar">...</div>
<div class="container">
    <div class="row">
        <div class="col-1"></div>
        <div class="col-10">
            <h1 th:text="${userName}"></h1>
            <h3>Fill in pet info</h3>
            <p th:each="error : ${errors}" th:text="${error}"></p>
            <form th:object="${newPet}" th:action="@{/pet/save}" method="post">
                <div class="row mb-3">

                    <label for="inputName" class="col-sm-2 col-form-label">Name</label>
                    <div class="col-sm-10">
                        <input type="text" th:field="*{name} "  class="form-control" id="inputName">
                    </div>
                </div>
                <div class="row mb-3">
                    <label for="inputAge" class="col-sm-2 col-form-label">Age</label>
                    <div class="col-sm-10">
                        <input type="number" th:field="${newPet.age}" class="form-control" id="inputAge">
                    </div>
                </div>
                <div class="row mb-3">
                    <label for="inputType" class="col-sm-2 col-form-label">Type</label>
                    <div class="col-sm-10">
                        <input type="text" th:field="${newPet.type}" class="form-control" id="inputType">
                    </div>
                </div>
                <button type="submit" class="btn btn-primary">Save</button>
            </form>
        </div>
        <div class="col-1"></div>
    </div>
</div>
</body>
</html>
